<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="vendor/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
        <title>Supply Chain Management System | PoC</title>
    </head>
    <body>
            <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <a class="navbar-brand" href="#">SCM</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarText">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" role="button" data-toggle="modal" data-target="#createUserModal">Create User</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" role="button" data-toggle="modal" data-target="#createItemModal">Create Item</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" role="button" data-toggle="modal" data-target="#transferItemModal">Transfer Item</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" role="button" data-toggle="modal" data-target="#acceptItemModal">Accept Item</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" role="button" data-toggle="modal" data-target="#rejectItemModal">Reject Item</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="https://www.linkedin.com/in/mohammad-asim-iqbal">LinkedIn</a>
                    </li>
                </ul>
            </div>
        </nav>

        
        <div class="row">
            <div class="col-lg-2 offset-lg-8">
                <table>
                    <tr>
                        <td>Account:&nbsp;</td>
                        <td id="account"></td>
                    </tr>
                    <tr>
                        <td>Balance:&nbsp;</td>
                        <td id="etherBalance"></td>
                    </tr>
                </table>
            </div>
        </div>

        <div class="row">                            
            <main role="main" class="col-lg-11 offset-lg-1 justify-content-center">
                <div id="loader" class="text-center">
                    <p class="text-center">Loading...</p>
                </div>
                <div id="content">
                    <h3>Current Items</h3>
                    <table id="ownItemInfoTable">
                        <tr>
                            <th style="text-align: center; padding-right: 10px">ID</th>
                            <th style="text-align: center; padding-right: 10px">Name</th>
                            <th style="text-align: center; padding-right: 10px">Owner</th>
                            <th style="text-align: center; padding-right: 10px"># of transfers</th>
                        </tr>
                        <tr class="ownItemInfoRowTemplate">
                            <td class="itemInfoId" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoName" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoOwner" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoStates" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemStateButton" style="text-align: center; padding-right: 10px"></td>
                        </tr>
                    </table>
                    <br>
                    <hr>
                    <br>
                    <h3>Outgoing Items</h3>
                    <table id="outgoingItemInfoTable">
                        <tr>
                            <th style="text-align: center; padding-right: 10px">ID</th>
                            <th style="text-align: center; padding-right: 10px">Name</th>
                            <th style="text-align: center; padding-right: 10px">Owner</th>
                            <th style="text-align: center; padding-right: 10px"># of transfers</th>
                        </tr>
                        <tr class="outgoingItemInfoRowTemplate">
                            <td class="itemInfoId" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoName" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoOwner" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoStates" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemStateButton" style="text-align: center; padding-right: 10px"></td>
                        </tr>
                    </table>
                    <br>
                    <hr>
                    <br>
                    <h3>Incoming Items</h3>
                    <table id="incomingItemInfoTable">
                        <tr>
                            <th style="text-align: center; padding-right: 10px">ID</th>
                            <th style="text-align: center; padding-right: 10px">Name</th>
                            <th style="text-align: center; padding-right: 10px">Owner</th>
                            <th style="text-align: center; padding-right: 10px"># of transfers</th>
                        </tr>
                        <tr class="incomingItemInfoRowTemplate">
                            <td class="itemInfoId" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoName" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoOwner" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoStates" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemStateButton" style="text-align: center; padding-right: 10px"></td>
                        </tr>
                    </table>
                    <br>
                    <hr>
                    <br>
                    <h3>Transferred Items</h3>
                    <table id="transferredItemInfoTable">
                        <tr>
                            <th style="text-align: center; padding-right: 10px">ID</th>
                            <th style="text-align: center; padding-right: 10px">Name</th>
                            <th style="text-align: center; padding-right: 10px">Owner</th>
                            <th style="text-align: center; padding-right: 10px"># of transfers</th>
                        </tr>
                        <tr class="transferredItemInfoRowTemplate">
                            <td class="itemInfoId" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoName" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoOwner" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemInfoStates" style="text-align: center; padding-right: 10px"></td>
                            <td class="itemStateButton" style="text-align: center; padding-right: 10px"></td>
                        </tr>
                    </table>
                </div>
            </main>
        </div>

        <div class="modal fade" id="createUserModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <p>Create User</p>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">x</button>
                    </div>

                    <div class="modal-body">
                        <form id="createItemForm">
                            <input id="createUserName" class="form-control" type="text" placeholder="Name" required>
                            <br>
                            <input id="createUserAddress" class="form-control" type="text" placeholder="Account address" required>
                        </form>
                    </div>

                    <div class="modal-footer">
                        <button id="btnCreateUser" class="btn btn-success" data-dismiss="modal">Create</button>
                    </div>
                </div>
            </div>
        </div>




        <div class="modal fade" id="createItemModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <p>Create Item</p>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">x</button>
                    </div>

                    <div class="modal-body">
                        <form id="createItemForm">
                            <input id="createItemName" class="form-control" type="text" placeholder="Name" required>
                            <br>
                            <input id="createItemLocation" class="form-control" type="text" placeholder="Location" required>
                        </form>
                    </div>

                    <div class="modal-footer">
                        <button id="btnCreateItem" class="btn btn-success" data-dismiss="modal">Create</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="transferItemModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <p>Transfer Item</p>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">x</button>
                    </div>

                    <div class="modal-body">
                        <form id="createItemForm">
                            <input id="transferItemId" class="form-control" type="text" placeholder="Item ID" required>
                            <br>
                            <input id="transferTargetUser" class="form-control" type="text" placeholder="Receiver's account address" required>
                            <br>
                            <input id="transferTargetLocation" class="form-control" type="text" placeholder="Receiver's location" required>
                        </form>
                    </div>

                    <div class="modal-footer">
                        <button id="btnTransferItem" class="btn btn-success" data-dismiss="modal">Transfer</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="acceptItemModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <p>Accept Item Transfer</p>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">x</button>
                    </div>

                    <div class="modal-body">
                        <form id="createItemForm">
                            <input id="acceptItemId" class="form-control" type="text" placeholder="Item ID" required>
                            <br>
                            <input id="acceptSourceUser" class="form-control" type="text" placeholder="Sender's account address" required>
                        </form>
                    </div>

                    <div class="modal-footer">
                        <button id="btnAcceptItem" class="btn btn-success" data-dismiss="modal">Transfer</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="rejectItemModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <p>Reject Item Transfer</p>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">x</button>
                    </div>

                    <div class="modal-body">
                        <form id="createItemForm">
                            <input id="rejectItemId" class="form-control" type="text" placeholder="Item ID" required>
                            <br>
                            <input id="rejectSourceUser" class="form-control" type="text" placeholder="Sender's account address" required>
                        </form>
                    </div>

                    <div class="modal-footer">
                        <button id="btnRejectItem" class="btn btn-success" data-dismiss="modal">Transfer</button>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="modal fade" id="itemStatesModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
            <div class="modal-dialog" style="width: auto; max-width: 1200px;">
                <div class="modal-content">
                    <div class="modal-header">
                        <p>Item Transfers</p>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">x</button>
                    </div>

                    <div class="modal-body">
                        <table id="itemTransfersInfoTable">
                            <tr>
                                <th style="text-align: center; padding-right: 10px">Date</th>
                                <th style="text-align: center; padding-right: 10px">Previous Owner</th>
                                <th style="text-align: center; padding-right: 10px">Location</th>
                                <th style="text-align: center; padding-right: 10px">Pending</th>
                            </tr>
                            <tr class="itemTransferInfoRowTemplate">
                                <td class="transferDate" style="text-align: center; padding-right: 10px"></td>
                                <td class="transferPreviousOwner" style="text-align: center; padding-right: 10px"></td>
                                <td class="transferLocation" style="text-align: center; padding-right: 10px"></td>
                                <td class="transferPending" style="text-align: center; padding-right: 10px"></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>


        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
        <script src="vendor/bootstrap/dist/js/bootstrap.min.js"></script>
        <script src="vendor/truffle-contract/dist/truffle-contract.js"></script>
        <script src="./app.js"></script>
    </body>
</html>